HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetSubscriptionSchedulesSchedule

Contains the different functions to run the operation getSubscriptionSchedulesSchedule

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetSubscriptionSchedulesSchedule.hs
valuegetSubscriptionSchedulesSchedule
  1. :: MonadHTTP m
  2. => GetSubscriptionSchedulesScheduleParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetSubscriptionSchedulesScheduleResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/subscription_schedules/{schedule}

<p>Retrieves the details of an existing subscription schedule. You only need to supply the unique subscription schedule identifier that was returned upon subscription schedule creation.</p>

Defines the object schema located at paths./v1/subscription_schedules/{schedule}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getSubscriptionSchedulesSchedule.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetSubscriptionSchedulesScheduleResponseError is used.

Instances2Eq, Show